### Method

# Gtk PrintOperationset_n_pages

#### Declaration [src]

    void
    gtk_print_operation_set_n_pages (
      GtkPrintOperation* op,
      int n_pages
    )

#### Description [src]

Sets the number of pages in the document.

This must be set to a positive number before the rendering starts. It may be set in a `GtkPrintOperation::begin-print` signal handler.

Note that the page numbers passed to the `GtkPrintOperation::request-page-setup` and `GtkPrintOperation::draw-page` signals are 0-based, i.e. if the user chooses to print all pages, the last ::draw-page signal will be for page `n_pages` - 1.

Sets property | `Gtk.PrintOperation:n-pages`

#### Parameters

`n_pages`

  Type: `int`

  The number of pages.